//- 
//- VARIABLES
//- 
//- power_consumption
//- energy_savings
//- reported_faults
//- num_of_devices
//- 


doctype html
html(lang='en')
	head
		meta(charset='utf-8')
		meta(http-equiv='X-UA-Compatible', content='IE=edge')
		meta(name='viewport', content='width=device-width, initial-scale=1')
		meta(name='description', content='')
		meta(name='author', content='')
		title KNUST Power Saver
		// Bootstrap Core CSS
		link(href='css/bootstrap.min.css', rel='stylesheet')
		// Custom CSS
		link(href='css/sb-admin.css', rel='stylesheet')
		// Morris Charts CSS
		link(href='css/plugins/morris.css', rel='stylesheet')
		// Custom Fonts
		link(href='font-awesome/css/font-awesome.min.css', rel='stylesheet', type='text/css')
		// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
		// WARNING: Respond.js doesn't work if you view the page via file://
		//if lt IE 9
			script(src='https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js')
			script(src='https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js')
		// 
		link(rel='stylesheet', type='text/css', href='stylesheets/custom.css')
		link(rel='import', href='../bower_components/px-vis-timeseries/px-vis-timeseries.html')

	body
		#wrapper
			// Navigation
			nav.navbar.navbar-inverse.navbar-fixed-top(role='navigation')
				// Brand and toggle get grouped for better mobile display
				.navbar-header
					button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-ex1-collapse')
						span.sr-only Toggle navigation
						span.icon-bar
						span.icon-bar
						span.icon-bar
					a.navbar-brand(href='/secure') KNUST Power Saver
				// Top Menu Items
				ul.nav.navbar-right.top-nav
					li.dropdown
						a.dropdown-toggle(href='#', data-toggle='dropdown')
							i.fa.fa-user
							|  Administrator 
							b.caret
						ul.dropdown-menu
							li
								a(href='/logout')
									i.fa.fa-fw.fa-power-off
									|  Log Out
				// Sidebar Menu Items - These collapse to the responsive navigation menu on small screens
				.collapse.navbar-collapse.navbar-ex1-collapse
					ul.nav.navbar-nav.side-nav
						li.active
							a(href='/secure')
								i.fa.fa-fw.fa-dashboard
								|  System Overview
						li
							a(href='/secure/asset_management.html')
								i.fa.fa-fw.fa-bar-chart-o
								|  Asset Management
						li
							a(href='/secure/add_device.html')
								i.fa.fa-fw.fa-edit
								|  Add Device
						li
							a(href='/secure/reports.html')
								i.fa.fa-fw.fa-edit
								|  Reports
						li
							a(href='/secure/about.html')
								i.fa.fa-fw.fa-table
								|  About
				// /.navbar-collapse
			#page-wrapper
				.container-fluid
					// Page Heading
					.row
						.col-lg-12
							h1.page-header
								strong General Statistics
					// /.row
					.row
					// /.row
					span
						.col-md-8
							px-vis-timeseries(prevent-resize='true', debounce-resize-timing='250', width='700', height='764', progressive-rendering-points-per-frame='16000', progressive-rendering-min-frames='1', chart-horizontal-alignment='center', chart-vertical-alignment='center', margin='{"top":30,"bottom":60,"left":65,"right":65}', tooltip-config='{}', register-config='{"type":"vertical","width":200}', selection-type='xy', chart-data='[{"x":1397102460000,"y0":11.4403,"y1":96.5,"y2":0.56,"y3":0.56},{"x":1397139660000,"y0":13.1913,"y1":96.5,"y2":0.4,"y3":0.4},{"x":1397177400000,"y0":12.8485,"y1":96.5,"y2":0.43,"y3":0.43},{"x":1397228040000,"y0":10.975,"y1":96.5,"y2":0.33,"y3":0.33},{"x":1397248260000,"y0":12.9377,"y1":96.5,"y2":0.47,"y3":0.47},{"x":1397291280000,"y0":13.3795,"y1":96.5,"y2":0.41,"y3":0.41},{"x":1397522940000,"y0":16.4446,"y1":96.5,"y2":0.32,"y3":0.32},{"x":1397542800000,"y0":12.2771,"y1":96.5,"y2":0.35,"y3":0.35},{"x":1397640960000,"y0":13.0709,"y1":96.5,"y2":0.34,"y3":0.34},{"x":1397663100000,"y1":88.8,"y2":0.28,"y3":0.28},{"x":1397700000000,"y0":12.6198,"y1":95.2,"y2":0.49,"y3":0.49},{"x":1397753040000,"y0":11.0486,"y1":96.5,"y2":0.35,"y3":0.35},{"x":1397772540000,"y0":14.6892,"y1":96.5,"y2":0.21,"y3":0.21},{"x":1397794860000,"y0":14.3738,"y1":96.5,"y2":0.42,"y3":0.42},{"x":1397813580000,"y0":10.4259,"y1":76.5,"y2":0.58,"y3":0.58},{"x":1397890680000,"y0":13.4261,"y1":96.5,"y2":0.37,"y3":0.37},{"x":1397932020000,"y0":13.0062,"y1":96.5,"y2":0.27,"y3":0.27},{"x":1397973480000,"y0":14.475,"y1":96.5,"y2":0.35,"y3":0.35},{"x":1398009240000,"y1":96.5,"y2":0.24,"y3":0.24},{"x":1398035760000,"y0":15.9555,"y1":96.5},{"x":1398075840000,"y0":14.535,"y1":16},{"x":1398102960000,"y0":12.3671,"y1":96.5},{"x":1398126240000,"y0":12.4245,"y1":96.5},{"x":1398195060000,"y0":12.0836,"y1":96.5,"y2":0.31,"y3":0.31},{"x":1398219120000,"y0":15.3137,"y1":96.5,"y2":0.34,"y3":0.34},{"x":1398239220000,"y0":13.7978,"y1":96.5,"y2":0.32,"y3":0.32},{"x":1398617940000,"y1":55.4,"y2":0.16,"y3":0.16},{"x":1398638520000,"y0":15.0664,"y1":85.7,"y2":0.41,"y3":0.41},{"x":1398691860000,"y0":13.504,"y1":96.5,"y2":0.31,"y3":0.31},{"x":1398714240000,"y0":13.7263,"y1":96.5,"y2":0.36,"y3":0.36},{"x":1398807540000,"y0":14.57,"y1":96.5,"y2":0.44,"y3":0.44},{"x":1398858180000,"y0":13.9641,"y1":96.5,"y2":0.25,"y3":0.25},{"x":1398879420000,"y0":12.5418,"y1":96.5,"y2":0.42,"y3":0.42},{"x":1398920880000,"y0":14.8822,"y1":96.5,"y2":0.22,"y3":0.22},{"x":1398956340000,"y0":15.2676,"y1":96.5,"y2":0.42,"y3":0.42},{"x":1398995280000,"y1":20.3,"y2":0.16,"y3":0.16}]', series-config='{"y0":{"name":"y0","x":"x","y":"y0","yAxisUnit":"F","axis":{"id":"axis1","side":"left","number":"1"}},"y1":{"name":"y1","x":"x","y":"y1","yAxisUnit":"Hz","axis":{"id":"axis2","side":"right","number":"1"}},"y2":{"name":"y2","x":"x","y":"y2","yMin":0.11,"yMax":1.1,"yAxisUnit":"C","axis":{"id":"axis3","side":"left","number":"2"}},"y3":{"name":"y3","x":"x","y":"y3","yAxisUnit":"F","axis":{"id":"axis4","side":"right","number":"2"}}}', chart-extents='{"x":["dynamic","dynamic"],"y":["dynamic","dynamic"]}', event-data='[{"id":"123","time":1398714240000,"label":"Recalibrate"},{"id":"456","time":1397640960000,"label":"Fan start"},{"id":"789","time":1398126240000,"label":"Fan stop"},{"id":"333","time":1398956340000,"label":"Default"}]', event-config='{"Recalibrate":{"color":"blue","icon":"fa-camera","type":"fa","offset":[0,0],"lineColor":"red","lineWeight":0},"Fan start":{"color":"green","icon":"","type":"unicode","offset":[1,0]},"Fan stop":{"icon":"ge_logo.png","type":"image","offset":[0,-20],"size":"20"}}', threshold-data='[{"for":"y0","type":"max","value":15.4784},{"for":"y0","type":"min","value":7.6531},{"for":"y0","type":"mean","value":15.330657585139331},{"for":"y1","type":"mean","value":75},{"for":"y1","type":"quartile","value":17}]', threshold-config='{"max":{"color":"red","dashPattern":"5,0","title":"MAX","showThresholdBox":true,"displayTitle":true}}', x-axis-config='{"title":"Date"}', y-axis-config='{"title":"Single","titleTruncation":false,"unit":"F","axis1":{"title":"Temperature","titleTruncation":false,"unit":"C"}}', hide-gridlines-x='true', hide-gridlines-y='true', dynamic-menu-config='[{"name":"Delete","action":"function(data) {var conf = {}, keys=Object.keys(this.seriesConfig); for(var i=0; i<keys.length;i++) { if(keys[i] !== data.additionalDetail.name) {conf[keys[i]] = this.seriesConfig[keys[i]];}} this.set(\"seriesConfig\", conf);}","eventName":"delete","icon":"fa-trash"},{"name":"Bring To Front","action":"function(data) {this.set(\"serieToRedrawOnTop\", data.additionalDetail.name);}","eventName":"bring-to-front","icon":"fa-arrow-up"}]', toolbar-config='{"config":{"advancedZoom":true,"pan":true,"tooltip":true,"logHover":{"buttonGroup":2,"tooltipLabel":"The submenu item of this menu will define custom mouse interaction","icon":"fa-leaf","subConfig":{"customClick":{"icon":"fa-coffee","buttonGroup":3,"tooltipLabel":"define some custom mouse interactions on chart","eventName":"my-custom-click","actionConfig":{"mousedown":"function(mousePos) { console.log(\"custom click on chart. Context is the chart. Mouse pos is available: \" + JSON.stringify(mousePos))}","mouseup":"function(mousePos) { console.log(\"custom action on mouse up the chart \" + JSON.stringify(mousePos));}","mouseout":"function(mousePos) { console.log(\"custom action on mouse out the chart \" + JSON.stringify(mousePos));}","mousemove":"function(mousePos) { console.log(\"custom action on hovering the chart \");}"}},"customClick2":{"buttonGroup":3,"icon":"fa-fire-extinguisher","tooltipLabel":"Remove all custom interactions","actionConfig":{"mousedown":null,"mouseup":null,"mouseout":null,"mousemove":null}}}}}}', navigator-config='{"xAxisConfig":{"tickFormat":"%b %d"}}')
					span
						.btn-group-vertical.c-btn
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-scale.fa-5x
											.col-xs-9.text-right
												.huge #{power_consumption}kWh
												div Power Consumption/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-piggy-bank.fa-5x
											.col-xs-9.text-right
												.huge 	#{energy_savings}kWh
												div Energy Savings/Month
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-alert.fa-5x
											.col-xs-9.text-right
												.huge #{reported_faults}
												div Reported Faults
							.col-lg-3.col-md-6
								.panel.panel-new
									.panel-heading
										.row
											.col-xs-3
												i.glyphicon.glyphicon-stats.fa-5x
											.col-xs-9.text-right
												.huge #{num_of_devices}
												div Number of Devices
					// /.row
					div
						br
						br
						br
						br
						br
				// /.row
			// /.container-fluid
		// /#page-wrapper
		// /#wrapper
		// jQuery
		script(src='js/jquery.js')
		// Bootstrap Core JavaScript
		script(src='js/bootstrap.min.js')
		// Morris Charts JavaScript
		script(src='js/plugins/morris/raphael.min.js')
		script(src='js/plugins/morris/morris.min.js')
		script(src='js/plugins/morris/morris-data.js')
		script(src='js/plugins/flot/jquery.flot.js')
		script(src='js/plugins/flot/jquery.flot.tooltip.min.js')
		script(src='js/plugins/flot/jquery.flot.resize.js')
		script(src='js/plugins/flot/jquery.flot.pie.js')
		script(src='js/plugins/flot/flot-data.js')
